Subject: [PATCH 1/2] doc: contributing: Suggest building from Git.

From: Florian Pelz <[email-masked]>
Date: Thu, 11 Apr 2024 09:34:49 +0200

* doc/contributing.texi (Requirements): Explain the purpose of
this section.  Refer regular contributors to Building from Git.

Change-Id: I731af4ac8e78b053b96a3b683528964223ab740b
---
 doc/contributing.texi | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/doc/contributing.texi b/doc/contributing.texi
index ad0f5a8ecd..cfe8b1289b 100644
--- a/doc/contributing.texi
+++ b/doc/contributing.texi
@@ -41,6 +41,14 @@ choice.
 @node Requirements
 @section Requirements
 
+You can easily hack on Guix itself using Guix and Git, which we use for
+version control (@pxref{Building from Git}).
+
+But when packaging Guix for foreign distros or when bootstrapping on
+systems without Guix, and if you decide to not just trust and install
+our readily made binary (@pxref{Binary Installation}), you can download
+a release version of our reproducible source tarball and read on.
+
 This section lists requirements when building Guix from source.  The
 build procedure for Guix is the same as for other GNU software, and is
 not covered here.  Please see the files @file{README} and @file{INSTALL}
-- 
2.41.0